import 'package:timezone/data/latest.dart';
import 'package:tp5/ftl/provider/ftl.dart';
import 'package:tp5/roster/models/duty.dart';

ftlCalc(Map data) {
  initializeTimeZones();
  //tz.initializeTimeZones();
  final clDuties = data['clDuties'] as List<Duty>;
  final base = data['base'] as String;
  return Ftl.fromCrewlink(clDuties: clDuties, base: base).calcduties();
}
